Subject: Re: bug#35610: Freshly installed IBus intput method is not listed as an input source

From: ison <[email-masked]>
Date: Tue, 7 May 2019 14:15:46 -0600

The only other thing I can think of right now which might be different is the
way I'm starting ibus. Instead of ibus-setup, what happens if you launch it with
ibus-daemon -drx
and then access the preferences by right clicking the tray icon (or perhaps
running ibus-setup _after_ the daemon is launched if you have no tray icon)

On Tue, May 07, 2019 at 04:26:29PM +0200, pelzflorian (Florian Pelz) wrote:
> What I said was incomplete.  I just tried again; ibus-anthy works fine
> for me only when e.g. entering text in GNOME Shell’s search bar, but
> not when entering text in the terminal.  Sorry.

If I recall correctly I had this issue as well, where input would not work in
the terminal even though it worked in other applications, until I changed some
of my environment variables to "xim" instead of "ibus".
According to the Arch Wiki here
https://wiki.archlinux.org/index.php/IBus
there are claims from some users that things don't work until they replace
"ibus" with "xim".